Package python-pyramid

This package is released with dual support for Python 2 and Python 3. To move things forward, you can start making dependent packages use the Python 3 version.


See python-pyramid in the Fedora Pagure, or go directly to the corresponding spec file.

Fedora

A package that supports Python 3 is in Rawhide.

RPMs
  • python2-pyramid-1.9.1-4.fc29
    • × /usr/bin/python2
    • × python(abi) = 2.7
  • python3-pyramid-1.9.1-4.fc29
    • /usr/bin/python3
    • python(abi) = 3.6

Dependent packages

Run time

Build time

Dependency Tree

Run time

Build time

Groups

Dependencies

Run time

1 Python 3 only; 15 Dual support; 1 Dropped
Package Upstream Fedora
  python-chameleon  
  python-hupper  
  python-mako  
  python-paste-deploy  
  python-plaster  
  python-plaster-pastedeploy  
  python-repoze-lru  
  python-setuptools  
  python-translationstring  
  python-venusian  
  python-webob  
  python-zope-component  
  python-zope-configuration  
  python-zope-deprecation  
  python-zope-interface  
  python3   bug (NEW)
  python2   X

Build time

1 Python 3 only; 18 Dual support; 1 Dropped
Package Upstream Fedora
  python-chameleon  
  python-docutils   bug (CLOSED RAWHIDE)
  python-hupper  
  python-mako  
  python-paste-deploy  
  python-plaster  
  python-plaster-pastedeploy  
  python-repoze-lru  
  python-setuptools  
  python-sphinx  
  python-translationstring  
  python-venusian  
  python-webob  
  python-webtest  
  python-zope-component  
  python-zope-configuration  
  python-zope-deprecation  
  python-zope-interface  
  python3   bug (NEW)
  python2   X